%define	major 2.5.5
%define pkgname Firebird-%{version}-0
%define somajor 2
%define libfbembed %mklibname fbembed %somajor
%define libfbembed_devel %mklibname fbembed -d


Summary:	Firebird2 embed SQL database management system
Name:		fbembed
Version:	%{major}.26952
Release:	%mkrel 7
Group:		Databases
License:	MPLv1.1-like
URL:		http://www.firebirdsql.org/
Source0:	http://downloads.sourceforge.net/firebird/%{pkgname}.tar.bz2
Source1:	fbembed_config

# from upstream
Patch0:         firebird-btyacc-fpie.patch
Patch1:         firebird-CVE-2016-1569.patch
# from openSUSE
Patch10:         allow-creating-buildRoot-as-non-root-user.patch
Patch11:         add-pkgconfig-files.patch

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	libtool
BuildRequires:  libncurses-devel
BuildRequires:  libtermcap-devel
BuildRequires:  icu-devel
BuildRequires:  edit-devel
BuildRequires:	gcc-c++
BuildRequires:	libstdc++-static-devel
BuildRequires:	libatomic_ops-devel
BuildRequires:  sed

%description
This is the Firebird2 embed SQL Database shared files.


%package -n %libfbembed_devel
Summary:	Development Libraries for Firebird2 SQL Database
Group:		Development/Databases
Requires:	%libfbembed

%description -n %libfbembed_devel
This package contains the headers that programmers will need to develop
applications which will use fbembed.


%package -n %libfbembed
Summary: Multi-process, local client libraries for Firebird2 SQL Database
Group: System/Libraries

%description -n %libfbembed
Multi-process, local client libraries for Firebird2 SQL Database


%prep
%setup -q -n %{pkgname}
%patch0 -p0
%patch1 -p4
%patch10 -p1
%patch11 -p1

%build
# disable -Wl,--no-undefined to avoid fail build of fbintl
# when fbintl is loaded, one of the modules (libfbembed or fbserver) for sure exports
# gds__log()
%define _disable_ld_no_undefined 1

# classic
NOCONFIGURE=1 ./autogen.sh
%configure2_5x --prefix=%{_prefix} \
  --with-system-icu --with-system-editline \
  --with-fbbin=%{_bindir} --with-fbsbin=%{_sbindir} \
  --with-fbconf=%{_sysconfdir}/%{name} \
  --with-fblib=%{_libdir} --with-fbinclude=%{_includedir}/%{name} \
  --with-fbdoc=%{_docdir}/%{name} \
  --with-fbudf=%{_libdir}/%{name}/udf \
  --with-fbsample=%{_docdir}/%{name}/sample \
  --with-fbsample-db=%{_libdir}/%{name}/sample \
  --with-fbhelp=%{_libdir}/%{name}/lib \
  --with-fbintl=%{_libdir}/%{name}/intl \
  --with-fbmisc=%{_datadir}/%{name}/misc \
  --with-fbsecure-db=%{_localstatedir}/lib/%{name}/secdb \
  --with-fbmsg=%{_libdir}/%{name}/lib \
  --with-fblog=%{_localstatedir}/log/%{name} \
  --with-fbglock=%{_localstatedir}/run/%{name} \
  --with-fbplugins=%{_libdir}/%{name}/plugins

make
cd gen
make -f Makefile.install buildRoot
chmod -R u+w buildroot%{_docdir}/%{name}

%install
mkdir -p %{buildroot}%{_libdir}/pkgconfig
cp -v gen/install/misc/*.pc %{buildroot}%{_libdir}/pkgconfig/
cp -v gen/buildroot%{_sbindir}/fb_config %{buildroot}%{_libdir}/%{name}_config
sed -i '/plugins/d' %{buildroot}%{_libdir}/%{name}_config
mkdir -p %{buildroot}%{_includedir}/%{name}
cp -a gen/buildroot%{_includedir}/%{name}/* %{buildroot}%{_includedir}/%{name}/
rm -vf %{buildroot}%{_includedir}/%{name}/perf.h
rm -vf %{buildroot}%{_includedir}/%{name}/ib_util.h
mkdir -p %{buildroot}%{_libdir}
cp -a gen/buildroot%{_libdir}/libfbembed.so* ${RPM_BUILD_ROOT}%{_libdir}/
mkdir -p %{buildroot}%{_bindir}
install -p -m 0755 %{SOURCE1} %{buildroot}%{_bindir}/fb_config

%files -n %libfbembed
%defattr(-,root,root)
%{_libdir}/libfbembed.so.%{somajor}*


%files -n %libfbembed_devel
%defattr(-,root,root)
%{_includedir}/%{name}/
%{_libdir}/libfbembed.so
%{_libdir}/%{name}_config
%{_bindir}/fb_config
%{_libdir}/pkgconfig/fbembed.pc 



%changelog
* Wed Mar 15 2017 mrambo3501 <mrambo3501> 2.5.5.26952-7.mga6
+ Revision: 1092689
- Rebuild for icu-58.2

* Sat May 14 2016 shlomif <shlomif> 2.5.5.26952-6.mga6
+ Revision: 1015269
- Rebuild for the new UCI (new major)

* Sun Apr 10 2016 philippem <philippem> 2.5.5.26952-5.mga6
+ Revision: 1000009
- wrong name in fbembed_config

* Sun Apr 10 2016 philippem <philippem> 2.5.5.26952-4.mga6
+ Revision: 999964
- imported package fbembed

